| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
RangeSyntaxLineEdit Class Reference
Inheritance diagram for RangeSyntaxLineEdit:

## Public Slots
void | checkRange (QString range)
Public Slots inherited from SyntaxLineEdit
void | setStyleSheet (const QString &style_sheet)
void | insertFilter (const QString &filter)
bool | checkDisplayFilter (QString filter)
void | checkFieldName (QString field)
void | checkCustomColumn (QString fields)
void | checkInteger (QString number)

## Public Member Functions
| RangeSyntaxLineEdit (QWidget *parent=0)
void | setMaxRange (unsigned int max)
Public Member Functions inherited from SyntaxLineEdit
| SyntaxLineEdit (QWidget *parent=0)
SyntaxState | syntaxState () const
void | setSyntaxState (SyntaxState state=Empty)
QString | syntaxErrorMessage ()
QString | syntaxErrorMessageFull ()
QString | styleSheet () const
QString | deprecatedToken ()
void | setCompleter (QCompleter *c)
QCompleter * | completer () const
void | allowCompletion (bool enabled)

## Additional Inherited Members
Public Types inherited from SyntaxLineEdit
enum | SyntaxState { Empty , Busy , Invalid , Deprecated , Valid }
Static Public Member Functions inherited from SyntaxLineEdit
static QString | createSyntaxErrorMessageFull (const QString &filter, const QString &err_msg, qsizetype loc_start, size_t loc_length)
Protected Member Functions inherited from SyntaxLineEdit
void | setCompletionTokenChars (const QString &token_chars)
bool | isComplexFilter (const QString &filter)
virtual void | buildCompletionList (const QString &field_word, const QString &preamble)
QPoint | getTokenUnderCursor ()
QStringList | splitLineUnderCursor ()
virtual bool | event (QEvent *event)
void | completionKeyPressEvent (QKeyEvent *event)
void | completionFocusInEvent (QFocusEvent *event)
virtual void | focusOutEvent (QFocusEvent *event)
virtual void | paintEvent (QPaintEvent *event)
Protected Attributes inherited from SyntaxLineEdit
QCompleter * | completer_
QStringListModel * | completion_model_
Properties inherited from SyntaxLineEdit
SyntaxState | syntaxState

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/range_syntax_lineedit.h
- /builds/wireshark/wireshark/ui/qt/widgets/range_syntax_lineedit.cpp